GH-AUTH-SWITCH(1)

NAME
gh-auth-switch - Switch active GitHub account

SYNOPSIS
gh auth switch [flags]

DESCRIPTION
Switch the active account for a GitHub host.

This command changes the authentication configuration that will be used when running commands targeting the specified GitHub host.

If the specified host has two accounts, the active account will be switched automatically. If there are more than two accounts, disambiguation will be required either through the --user flag or an interactive prompt.

For a list of authenticated accounts you can run gh auth status.

OPTIONS

-h, --hostname <string>
    The hostname of the GitHub instance to switch account for

-u, --user <string>
    The account to switch to

EXIT CODES
0: Successful execution

1: Error

2: Command canceled

4: Authentication required

NOTE: Specific commands may have additional exit codes. Refer to the command's help for more information.

EXAMPLE
    # Select what host and account to switch to via a prompt
    $ gh auth switch
    # Switch the active account on a specific host to a specific user
    $ gh auth switch --hostname enterprise.internal --user monalisa

SEE ALSO
gh-auth(1)